Subject: RE: proposal for a compromise on DNS discovery

From: [email-masked]
Date: Wed, 16 Jul 2003 10:33:08 +0100

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]
> Sent: 16 July 2003 10:57
> 
> If IPv6 host don't have dhcp functions, what is the possible 
> solutions ? 

An IPv6 host needs very minimal dhcp functions to request and receive
recursive name server configuration data.

Mat.
#----------------------------------------------------------------------
# To unsubscribe, send a message to <[email-masked]>.

---

From: Ralph Droms <[email-masked]>
Date: Mon, 28 Jul 2003 11:17:52 -0400

What was missing in the original DNS discovery work is that
it explicitly ruled out DHCPv6 a priori...

- Ralph

At 05:03 PM 7/28/2003 +0200, BELOEIL Luc FTRD/DMI/CAE wrote:
> > >     Daniel> Reality check: home networks are, if connected to the
>Internet,
> > >     Daniel> attached via a gatewaying device. The de vice of choice
>for a
> > >     Daniel> large number of networks is a $60 router from on of any
>number of
> > >     Daniel> vendors. These boxes provide DHCP, DNS forwarding and
> > >     Daniel> NAT. Perhaps some other environment would provide a
>better
> > >     Daniel> strawman? DHCP is pretty prevalent in home networks.
> > >
> > >   Right, exactly.
> > >
> > >   I simply do not believe that there are environments where there
>will be
> > > a local (on wire) DNS server, but not a local DHCP server. The home
> > > environment is entirely the opposite - local DHCP server in SOHO
>router
> > > that gets the DNS info from the ISP via DHCP and/or PPP and passes
>it on via
> > > DHCP.
> >
> > Right.
> >
> > And, having such DHCP servers, there is no role of RA for stateless
> > (nor stateful) autoconfiguration, which is why IPv6 with ND is broken.
> >
> > The remaining problem is configuration on how to let the DHCP
> > server in SOHO router get the info and the solution should be
> > related to anycast.
> >
> > DNS server with anycast addresses does not neet intermediate DHCP.
> >
> >                                                       Masataka Ohta
> >
>
>Ok DHCP servers are embedded in current IPv4 SOHO router. This is cheap
>and efficient. But this is not a valid argument to to say that DHCP is
>THE only valid solution to announce DNS resolver server IPv6 address.
>
>SOHO routers, that are currently on market, are using a DHCPv6 client to
>be configured by the ISP but are using ND-based stateless address
>autoconfiguration to help local hosts to configure their IPv6 addresses
>!
>
>Then what is(are) the solution(s):
>- RA-based
>- DHCPv6-lite
>- Anycast Addresses for resolver DNS server
>- SLP (I also like SLP, which already a RFC - Standards Track - !!! Does
>anybody have a good point against SLP ?)
>- well-known link-local addresses (+ DNS proxies...)?...
>
>There was a analysis made by the DNS Discovery Design Team in march 2001
>(draft-ietf-ipnwg-dns-discovery-01.txt). Wouldn't it be valuable to go
>on or to restart such a work ? (instead of this no-end battle?) I must
>have missed something concerning this old work. Could anyone give me
>some pointers or summary?
>
>Luc
>

---

From: "BELOEIL Luc FTRD/DMI/CAE" <[email-masked]>
Date: Tue, 29 Jul 2003 13:56:05 +0200

Hi Raplh, 

thank you for that precision.

draft-ietf-ipngwg-dns-discovery-01.txt had a whole section (6.1 DHCP)
concerning DHCP. But It seems some other points could also be added to
section 5 (Transport Mechanisms) so as to refer explicitly to DHCP.

Do you think it would be valuable to work again on that draft?

Luc

> -----Message d'origine-----
> De : Ralph Droms [mailto:[email-masked]]
> 
>

---

From: "BELOEIL Luc FTRD/DMI/CAE" <[email-masked]>
Date: Tue, 29 Jul 2003 14:00:08 +0200

But there was an explicit section that was concerning "Requirements"
(section 2). Perhaps that section should be revised ?

To my mind we still do not have a clear statement of what are the
requirements. Some were presented by Rob Austein and Bob Hinden, but
there has been nor a vote, neither a draft.

Luc

> De : Masataka Ohta [mailto:[email-masked]]
> Envoye : mardi 29 juillet 2003 04:08
> A : BELOEIL Luc FTRD/DMI/CAE
> Cc : Michael Richardson; [email-masked]
> Objet : Re: proposal for a compromise on DNS discovery
> 
> 
> Luc;
> 
> > have missed something concerning this old work.
> 
> What has been missing is a clear definition on the requirement.
> 
> Lacking it, IPv6 WG has been poorly managed that its past work
> is not only useless but also harmful.
> 
> 							Masataka Ohta
>

---

From: Ralph Droms <[email-masked]>
Date: Tue, 29 Jul 2003 11:27:48 -0400

Luc,

At the top of page 2 of draft-ietf-ipngwg-dns-discovery-01.txt is the sentence:

    There are any number of ways that IPv6 hosts can discover information
    required to enable name resolution, in the absence of a DHCP server.

which I read to mean that the document is explicitly describing mechanisms
that do not use DHCP.  Section 6.1 simply suggests the use of DHCP message
formats in a new protocol for use between a host and a DNS server.

draft-ietf-ipngwg-dns-discovery-01.txt expired in September, 2001.  The 
most recent version, draft-ietf-ipv6-dns-discovery-06.txt, which describes 
the reserved site-local address mechanism, expired in February, 2003.  The 
latter document also, indirectly, assumes that DHCP is not available.

- Ralph